| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Static Public Member Functions
AAX_CHostServices Class Reference

`#include <AAX_CHostServices.h>`

## Description

Method access to a singleton implementation of the AAX_IHostServices interface.

## Static Public Member Functions
static void | Set (IACFUnknown *pUnkHost)
static AAX_Result | HandleAssertFailure (const char *iFile, int32_t iLine, const char *iNote, int32_t iFlags=AAX_eAssertFlags_Default)
| Handle an assertion failure.
static AAX_Result | Trace (AAX_ETracePriorityHost iPriority, const char *iMessage,...)
| Log a trace message.
static AAX_Result | StackTrace (AAX_ETracePriorityHost iTracePriority, AAX_ETracePriorityHost iStackTracePriority, const char *iMessage,...)
| Log a trace message or a stack trace.

## Member Function Documentation

## ◆ Set()

static void AAX_CHostServices::Set | ( | IACFUnknown * | pUnkHost | ) |
| static

## ◆ HandleAssertFailure()

static AAX_Result AAX_CHostServices::HandleAssertFailure | ( | const char * | iFile,
|  | int32_t | iLine,
|  | const char * | iNote,
|  | int32_t | iFlags = `AAX_eAssertFlags_Default`
| ) |  |
| static

Handle an assertion failure.

Use this method to delegate assertion failure handling to the host

Use `inFlags` to request that specific behavior be included when handling the failure. This request may not be fulfilled by the host, and absence of a flag does not preclude the host from using that behavior when handling the failure.

Parameters

  [in] | iFile | The name of the file containing the assert check. Usually `__FILE__`
  [in] | iLine | The line number of the assert check. Usually `__LINE__`
  [in] | iNote | Text to display related to the assert. Usually the condition which failed
  [in] | iFlags | Bitfield of AAX_EAssertFlags to request specific handling behavior

## ◆ Trace()

static AAX_Result AAX_CHostServices::Trace | ( | AAX_ETracePriorityHost | iPriority,
|  | const char * | iMessage,
|  |  | ...
| ) |  |
| static

Log a trace message.

Parameters

  [in] | iPriority | Priority of the trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iMessage | Message string to log

## ◆ StackTrace()

static AAX_Result AAX_CHostServices::StackTrace | ( | AAX_ETracePriorityHost | iTracePriority,
|  | AAX_ETracePriorityHost | iStackTracePriority,
|  | const char * | iMessage,
|  |  | ...
| ) |  |
| static

Log a trace message or a stack trace.

If the logging output filtering is set to include logs with `iStackTracePriority` then both the logging message and a stack trace will be emitted, regardless of `iTracePriority`.

If the logging output filtering is set to include logs with `iTracePriority` but to exclude logs with `iStackTracePriority` then this will emit a normal log with no stack trace.

Parameters

  [in] | iTracePriority | Priority of the trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iStackTracePriority | Priority of the stack trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iMessage | Message string to log

The documentation for this class was generated from the following file:

- AAX_CHostServices.h